- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QXmlStreamNotationDeclaration Class Reference

Search for all occurrences

## Detailed Description

Definition at line 226 of file qxmlstream.h.

`#include <qxmlstream.h>`

List of all members.

## Public Member Functions
| QXmlStreamNotationDeclaration ()
| ~QXmlStreamNotationDeclaration ()
| QXmlStreamNotationDeclaration (const QXmlStreamNotationDeclaration &)
QXmlStreamNotationDeclaration & | operator= (const QXmlStreamNotationDeclaration &)
QStringRef | name () const
QStringRef | systemId () const
QStringRef | publicId () const
bool | operator== (const QXmlStreamNotationDeclaration &other) const
bool | operator!= (const QXmlStreamNotationDeclaration &other) const
## Friends
class | QXmlStreamReaderPrivate

## Constructor & Destructor Documentation

QXmlStreamNotationDeclaration | ( |  | ) |

~QXmlStreamNotationDeclaration | ( |  | ) |

QXmlStreamNotationDeclaration | ( | const QXmlStreamNotationDeclaration & |  | ) |

## Member Function Documentation

QXmlStreamNotationDeclaration& operator= | ( | const QXmlStreamNotationDeclaration & |  | ) |

QStringRef name | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 236 of file qxmlstream.h.

    { return m_name; }

QStringRef systemId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 237 of file qxmlstream.h.

    { return m_systemId; }

QStringRef publicId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 238 of file qxmlstream.h.

    { return m_publicId; }

bool operator== | ( | const QXmlStreamNotationDeclaration & | other | ) | const `[inline]`

Definition at line 239 of file qxmlstream.h.

                                                                                 {
            return (name() == other.name() && systemId() == other.systemId()
                    && publicId() == other.publicId());
        }

bool operator!= | ( | const QXmlStreamNotationDeclaration & | other | ) | const `[inline]`

Definition at line 243 of file qxmlstream.h.

            { return !operator==(other); }

## Friends And Related Function Documentation

friend class QXmlStreamReaderPrivate `[friend]`

Search for all occurrences

Definition at line 230 of file qxmlstream.h.

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration
QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration QXmlStreamNotationDeclaration